# Method Stdio.Fd()->tcflush()

Method tcflush

  ``bool` tcflush(`string`|`void` `flush_direction`)`

Description

  Flush queued terminal control messages.

Parameter `flush_direction`

  ``"TCIFLUSH"`` | Flush received but not read.
  ``"TCOFLUSH"`` | Flush written but not transmitted.
  ``"TCIOFLUSH"`` | Flush both of the above. Default.

Returns

  Returns `1` on success and `0` (zero) on failure.

See also

  tcdrain()